### Virtual Method

# Gdk ContentProviderref_formats

#### Declaration [src]

    GdkContentFormats*
    ref_formats (
      GdkContentProvider* provider
    )

#### Description [src]

Gets the formats that the provider can provide its current contents in.

Gets property | `Gdk.ContentProvider:formats`

#### Return value

Type: `GdkContentFormats`

The formats of the provider.

The caller of the function takes ownership of the data, and is responsible for freeing it.